Overview | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.db
Interface LogHelper

public interface LogHelper

A helper interface to use Logger.

Field Summary
`static java.lang.String` | `MSG_DBG_ADD_SESSION_LISTENER` Adding a session event listener.
`static java.lang.String` | `MSG_DBG_CHECK_CONN` Checks connection status.
`static java.lang.String` | `MSG_DBG_CLOSE_SESSION` Closing the database session.
`static java.lang.String` | `MSG_DBG_CLOSE_SESSION_DETECTED` Session close detected.
`static java.lang.String` | `MSG_DBG_CLOSE_SESSION_DONE` Successfully close a session.
`static java.lang.String` | `MSG_DBG_CONNECTION_RELEASED` Successfully release the connection.
`static java.lang.String` | `MSG_DBG_DBMS_TYPE` DBMS type.
`static java.lang.String` | `MSG_DBG_INSTANCE_CREATED` Created instance.
`static java.lang.String` | `MSG_DBG_LOG_WRITER_CLOSED` Successfully close the JDBC log writer.
`static java.lang.String` | `MSG_DBG_NEW_RESULSET` Reset session event detected.
`static java.lang.String` | `MSG_DBG_OPEN_CONNECTOR_DONE` Successfully open a connector.
`static java.lang.String` | `MSG_DBG_OPEN_SESSION` Opening a database session.
`static java.lang.String` | `MSG_DBG_OPEN_SESSION_DETECTED` Open session is detected.
`static java.lang.String` | `MSG_DBG_OPEN_SESSION_DONE` Successfully open a session.
`static java.lang.String` | `MSG_DBG_RELEASE_STMT_RESOURCE` Releases statement resources.
`static java.lang.String` | `MSG_DBG_REMOVE_SESSION_LISTENER` Removing a session event listener.
`static java.lang.String` | `MSG_DBG_RESET_SESSION_DETECTED` Reset session event detected.
`static java.lang.String` | `MSG_ERR_CREATE_FAILED` Fails to instantiate.
`static java.lang.String` | `MSG_ERR_IGNORE_EXCEPTION` Ignores caught exception.
`static java.lang.String` | `MSG_ERR_INIT_FAILED` Initialization failed.
`static java.lang.String` | `MSG_ERR_NO_RESULTSET` No result set available.
`static java.lang.String` | `MSG_ERR_NO_RESULTSET_QUERY` Query returns empty result set.
`static java.lang.String` | `MSG_ERR_NO_STATEMENT_OBJECT` Statement object not initialized.
`static java.lang.String` | `MSG_ERR_NULL_PREP_STMT` Null Prepared SQL statement.
`static java.lang.String` | `MSG_ERR_NULL_SQL_STMT` Null SQL statement.
`static java.lang.String` | `MSG_ERR_NULL_UPDATE_STMT` Null Update statement.
`static java.lang.String` | `MSG_ERR_OPEN_SESSION_FAILED` Fail to open a session.
`static java.lang.String` | `MSG_ERR_SESSION_NOT_OPEN` Session is not opened.
`static java.lang.String` | `MSG_ERR_STMT_AGENT_NOT_EXIST` Statement agent does not exist.
`static java.lang.String` | `MSG_ERR_UNHANDLED_JDBC_ERR` Unhandled JDBC driver error.

Field Detail

### MSG_DBG_ADD_SESSION_LISTENER

    public static final java.lang.String MSG_DBG_ADD_SESSION_LISTENER

  Adding a session event listener.

### MSG_DBG_CHECK_CONN

    public static final java.lang.String MSG_DBG_CHECK_CONN

  Checks connection status.

### MSG_DBG_CLOSE_SESSION

    public static final java.lang.String MSG_DBG_CLOSE_SESSION

  Closing the database session.

### MSG_DBG_CLOSE_SESSION_DETECTED

    public static final java.lang.String MSG_DBG_CLOSE_SESSION_DETECTED

  Session close detected.

### MSG_DBG_CLOSE_SESSION_DONE

    public static final java.lang.String MSG_DBG_CLOSE_SESSION_DONE

  Successfully close a session.

### MSG_DBG_CONNECTION_RELEASED

    public static final java.lang.String MSG_DBG_CONNECTION_RELEASED

  Successfully release the connection.

### MSG_DBG_DBMS_TYPE

    public static final java.lang.String MSG_DBG_DBMS_TYPE

  DBMS type.

### MSG_DBG_INSTANCE_CREATED

    public static final java.lang.String MSG_DBG_INSTANCE_CREATED

  Created instance.

### MSG_DBG_LOG_WRITER_CLOSED

    public static final java.lang.String MSG_DBG_LOG_WRITER_CLOSED

  Successfully close the JDBC log writer.

### MSG_DBG_NEW_RESULSET

    public static final java.lang.String MSG_DBG_NEW_RESULSET

  Reset session event detected.

### MSG_DBG_OPEN_CONNECTOR_DONE

    public static final java.lang.String MSG_DBG_OPEN_CONNECTOR_DONE

  Successfully open a connector.

### MSG_DBG_OPEN_SESSION

    public static final java.lang.String MSG_DBG_OPEN_SESSION

  Opening a database session.

### MSG_DBG_OPEN_SESSION_DETECTED

    public static final java.lang.String MSG_DBG_OPEN_SESSION_DETECTED

  Open session is detected.

### MSG_DBG_OPEN_SESSION_DONE

    public static final java.lang.String MSG_DBG_OPEN_SESSION_DONE

  Successfully open a session.

### MSG_DBG_RELEASE_STMT_RESOURCE

    public static final java.lang.String MSG_DBG_RELEASE_STMT_RESOURCE

  Releases statement resources.

### MSG_DBG_REMOVE_SESSION_LISTENER

    public static final java.lang.String MSG_DBG_REMOVE_SESSION_LISTENER

  Removing a session event listener.

### MSG_DBG_RESET_SESSION_DETECTED

    public static final java.lang.String MSG_DBG_RESET_SESSION_DETECTED

  Reset session event detected.

### MSG_ERR_CREATE_FAILED

    public static final java.lang.String MSG_ERR_CREATE_FAILED

  Fails to instantiate.

### MSG_ERR_IGNORE_EXCEPTION

    public static final java.lang.String MSG_ERR_IGNORE_EXCEPTION

  Ignores caught exception.

### MSG_ERR_INIT_FAILED

    public static final java.lang.String MSG_ERR_INIT_FAILED

  Initialization failed.

### MSG_ERR_NO_RESULTSET

    public static final java.lang.String MSG_ERR_NO_RESULTSET

  No result set available.

### MSG_ERR_NO_RESULTSET_QUERY

    public static final java.lang.String MSG_ERR_NO_RESULTSET_QUERY

  Query returns empty result set.

### MSG_ERR_NO_STATEMENT_OBJECT

    public static final java.lang.String MSG_ERR_NO_STATEMENT_OBJECT

  Statement object not initialized.

### MSG_ERR_NULL_PREP_STMT

    public static final java.lang.String MSG_ERR_NULL_PREP_STMT

  Null Prepared SQL statement.

### MSG_ERR_NULL_SQL_STMT

    public static final java.lang.String MSG_ERR_NULL_SQL_STMT

  Null SQL statement.

### MSG_ERR_NULL_UPDATE_STMT

    public static final java.lang.String MSG_ERR_NULL_UPDATE_STMT

  Null Update statement.

### MSG_ERR_OPEN_SESSION_FAILED

    public static final java.lang.String MSG_ERR_OPEN_SESSION_FAILED

  Fail to open a session.

### MSG_ERR_SESSION_NOT_OPEN

    public static final java.lang.String MSG_ERR_SESSION_NOT_OPEN

  Session is not opened.

### MSG_ERR_STMT_AGENT_NOT_EXIST

    public static final java.lang.String MSG_ERR_STMT_AGENT_NOT_EXIST

  Statement agent does not exist.

### MSG_ERR_UNHANDLED_JDBC_ERR

    public static final java.lang.String MSG_ERR_UNHANDLED_JDBC_ERR

  Unhandled JDBC driver error.

Overview | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2004 by SeeBeyond Technology Corporation. All Rights Reserved.